TagLib::Matroska::AttachedFile Class Reference

Attached file embedded into a Matroska file. More...

`#include <matroskaattachedfile.h>`

## Public Types

using | UID = unsigned long long
| Unique identifier.

## Public Member Functions

| AttachedFile (const ByteVector &data, const String &fileName, const String &mediaType, UID uid=0, const String &description=String())
| AttachedFile (const AttachedFile &other)
| AttachedFile (AttachedFile &&other) noexcept
| ~AttachedFile ()
AttachedFile & | operator= (const AttachedFile &other)
AttachedFile & | operator= (AttachedFile &&other) noexcept
void | swap (AttachedFile &other) noexcept
const String & | fileName () const
const String & | description () const
const String & | mediaType () const
const ByteVector & | data () const
UID | uid () const

## Detailed Description

Attached file embedded into a Matroska file.

## Member Typedef Documentation

## UID

using TagLib::Matroska::AttachedFile::UID = unsigned long long

Unique identifier.

## Constructor & Destructor Documentation

## AttachedFile() [1/3]

TagLib::Matroska::AttachedFile::AttachedFile | ( | const ByteVector & | data,
|  | const String & | fileName,
|  | const String & | mediaType,
|  | UID | uid = 0,
|  | const String & | description = String() )

Construct an attached file.

References data(), description(), fileName(), mediaType(), and uid().

Referenced by AttachedFile(), AttachedFile(), operator=(), operator=(), and swap().

## AttachedFile() [2/3]

TagLib::Matroska::AttachedFile::AttachedFile | ( | const AttachedFile & | other | ) |

Construct an attached file as a copy of other.

References AttachedFile().

## AttachedFile() [3/3]

TagLib::Matroska::AttachedFile::AttachedFile | ( | AttachedFile && | other | ) |

noexcept

Construct an attached file moving from other.

References AttachedFile().

## ~AttachedFile()

TagLib::Matroska::AttachedFile::~AttachedFile | ( |  | ) |

Destroys this attached file.

## Member Function Documentation

## data()

const ByteVector & TagLib::Matroska::AttachedFile::data | ( |  | ) | const

Returns the data of the attached file.

Referenced by AttachedFile().

## description()

const String & TagLib::Matroska::AttachedFile::description | ( |  | ) | const

Returns the human-friendly description for the attached file.

Referenced by AttachedFile().

## fileName()

const String & TagLib::Matroska::AttachedFile::fileName | ( |  | ) | const

Returns the filename of the attached file.

Referenced by AttachedFile().

## mediaType()

const String & TagLib::Matroska::AttachedFile::mediaType | ( |  | ) | const

Returns the media type of the attached file.

Referenced by AttachedFile().

## operator=() [1/2]

AttachedFile & TagLib::Matroska::AttachedFile::operator= | ( | AttachedFile && | other | ) |

noexcept

Moves the contents of other into this object.

References AttachedFile().

## operator=() [2/2]

AttachedFile & TagLib::Matroska::AttachedFile::operator= | ( | const AttachedFile & | other | ) |

Copies the contents of other into this object.

References AttachedFile().

## swap()

void TagLib::Matroska::AttachedFile::swap | ( | AttachedFile & | other | ) |

noexcept

Exchanges the content of the object with the content of other.

References AttachedFile().

## uid()

UID TagLib::Matroska::AttachedFile::uid | ( |  | ) | const

Returns the UID of the attached file.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by AttachedFile().

The documentation for this class was generated from the following file:

- matroskaattachedfile.h